#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBaseWithId.h"
#include "UObject/NoExportTypes.h"
#include "StoreFeaturedChapterPackEditorData.h"
#include "StoreFeaturedChapterPackRecommendationEditorData.generated.h"

USTRUCT(BlueprintType)
struct FStoreFeaturedChapterPackRecommendationEditorData : public FDBDTableRowBaseWithId
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString InclusionVersion;

	UPROPERTY(EditAnywhere)
	FDateTime ActiveFrom;

	UPROPERTY(EditAnywhere)
	FDateTime ActiveTo;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FStoreFeaturedChapterPackEditorData> ChapterPacks;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSet<FString> SegmentationTags;

public:
	DEADBYDAYLIGHT_API FStoreFeaturedChapterPackRecommendationEditorData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreFeaturedChapterPackRecommendationEditorData) { return 0; }
